### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-card/ecl-card-image.directive.ts`

### Implements

`AfterContentInit`

### Metadata

Selector | `[eclCardImage]`

### Index

###### Properties
ariaLabel Public backgroundImage role
###### Inputs
imageUrl
###### HostBindings
attr.aria-label attr.role class style.background-image
###### Accessors
cssClasses

### Inputs

imageUrl
Type : `string`

### HostBindings

attr.aria-label
Type : `string`
Default value : `'card image'`

attr.role
Type : `string`
Default value : `'img'`

class
Type : `any`

style.background-image
Type : `string`

### Properties

ariaLabel
Type : `string`
Default value : `'card image'`
Decorators : `@HostBinding('attr.aria-label')`

Public backgroundImage
Type : `string`
Decorators : `@HostBinding('style.background-image')`

role
Type : `string`
Default value : `'img'`
Decorators : `@HostBinding('attr.role')`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""